package com.bzd.common.core.domain.entity;

import com.bzd.common.annotation.Excel;
import com.bzd.common.core.domain.BaseEntity;
import lombok.Data;

import java.util.Date;
@Data
public class DtpDeliveryPrint extends BaseEntity
{
    private static final long serialVersionUID = 1L;
    private Long id;
    /** 订单编号 IMPORT：该字段只在导入时使用*/
    @Excel(name = "订单编号", type = Excel.Type.IMPORT)
    private Long orderId;
    /** 业务Id IMPORT：该字段只在导入时使用 */
    @Excel(name = "业务Id", type = Excel.Type.IMPORT)
    private Long businessId;
    /** 配送人 */
    @Excel(name = "配送人")
    private String deliverer;
    /** 配送时间 */
    @Excel(name = "配送时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", type = Excel.Type.EXPORT)
    private Date deliveryTime;
    /** 打印申请时间 */
    @Excel(name = "打印申请时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", type = Excel.Type.EXPORT)
    private Date printRequestTime;
    /** 创建时间 */
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd HH:mm:ss", type = Excel.Type.EXPORT)
    private Date createTime;

    /** 打印状态 */
    @Excel(name = "打印状态")
    private String status;
    /** 订单数据 */
    @Excel(name = "订单数据",width = 50)
    private String orderData;

//    /** 删除标识 */
//    @Excel(name = "删除标识", readConverterExp = "0=未删除,1=删除")
//    private Integer delFlag;




}
